#!/bin/bash
%define	xfontdir_	%{_datadir}/fonts/ko
%define	xfontdir	%{xfontdir_}/TrueType

Name:		ttfonts-ko
Version:	1.0.11
Release: 	21
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

Source0:	ftp://ftp.mizi.com/pub/baekmuk/baekmuk-ttf-2.1.tar.gz
Source1:	ftp://ftp.mizi.com/pub/baekmuk/baekmuk-doc-2.1.tar.gz
Source2:	ttfonts-ko-fonts.alias
Source3:	ttfonts-ko-fonts.scale
Source4:	baekmuk-2.1.tar.gz

BuildPreReq:	XFree86-xfs
Prereq:		/usr/sbin/chkfontpath
Prereq:		/usr/X11R6/bin/mkfontdir, /usr/bin/ttmkfdir
Prereq:         fontconfig

Summary: Baekmuk Korean TrueType fonts.
%description
This package provides Baekmuk Korean TrueType fonts.


%prep
%setup -T -c -a 0 -a 4

%build
mkdir -p %{name}-%{PACKAGE_VERSION}/doc/ttfonts-ko

for file in *.bdf; do
  fontname=`basename $file .bdf`
  bdftopcf $file > $fontname.pcf
done

for file in *.pcf; do
  gzip $file
done

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{xfontdir}/fonts.alias
#install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{xfontdir}/fonts.scale
# Create a dummy file to satisfy %ghost in %files list
touch $RPM_BUILD_ROOT%{xfontdir}/fonts.scale


# default font
pushd $RPM_BUILD_ROOT%{xfontdir_}
	ln -s TrueType/dotum.ttf default.font
	ln -s TrueType/hline.ttf default-bold.font
popd

mkdir -p $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/ttfonts-ko
tar xzvf %{SOURCE1} -C $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/ttfonts-ko

# Bitmap
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean
install -m444 *.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean
install -m444 fonts.alias $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean/ttfonts-ko.alias
/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
{
  if [ -f /usr/X11R6/lib/X11/fonts/korean/fonts.alias ] ; then
    TMPFILE='mktemp /tmp/font.alias.XXXXXXXX'
    cat /usr/X11R6/lib/X11/fonts/korean/ttfonts-ko.alias \
      /usr/X11R6/lib/X11/fonts/korean/fonts.alias | sort | uniq > \
      $TMPFILE

    mv -f $TMPFILE /usr/X11R6/lib/X11/fonts/korean/fonts.alias
    /usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/korean
  fi

  if [ -w %{xfontdir}/fonts.dir ] ; then
    touch %{xfontdir}/fonts.dir
  fi

  # Generate fonts.scale, dont include one with the package.
  /usr/bin/ttmkfdir -d %{xfontdir} -o %{xfontdir}/fonts.scale
  /usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
			 -e /usr/X11R6/lib/X11/fonts/encodings/large \
			 %{xfontdir}

  /usr/sbin/chkfontpath -q -a %{xfontdir}
  /usr/sbin/chkfontpath -qfa /usr/X11R6/lib/X11/fonts/korean

  #Update Gnome Fonts
  if [ -x /usr/bin/update-gnome-font-install ]; then
    /usr/bin/update-gnome-font-install
  fi

  #Update Gnome Fonts2
  if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
        /usr/bin/redhat-update-gnome-font-install2
  fi

  #update fontconfig cache
  fc-cache
}

%preun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %{xfontdir}
fi

%postun
#Update Gnome Fonts
{
if [ -x /usr/bin/update-gnome-font-install ]; then
  /usr/bin/update-gnome-font-install
fi

if [ "$1" = "0" ];
then


        if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
                /usr/bin/redhat-update-gnome-font-install2
        fi
fi
}

%files
%defattr(-,root,root)
%doc doc/*
%attr(0755,root,root) %dir %{xfontdir_}
%attr(0755,root,root) %dir %{xfontdir}
# %config(noreplace) %{xfontdir}/fonts.dir
%ghost %config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/fonts.alias
# %config(noreplace) %{xfontdir}/encodings.dir
%config(noreplace) %{xfontdir_}/default*.font
%{xfontdir}/*.ttf
/usr/X11R6/lib/X11/fonts/korean/*

%changelog
* Mon Sep 02 2002 David Joo <djoo@redhat.com> 1.0.11-21
- Updated to Beakmuk 2.1

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 1.0.11-18
- Call fc-cache from %%post

* Fri Jul 26 2002 David Joo <djoo@redhat.com>
- Post Script has been added for Gnome2

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-13
- Added } to post script, bumped and rebuilt

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-12
- Added -d command line arg to ttmkfdir in post script

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-11
- I suck.  s#/usr/bin/chkfontpath#/usr/sbin/chkfontpath#

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-10
- change prereq chkfontpath to /usr/bin/chkfontpath
- do not include a premade broken fonts.scale, generate it in post with
  ttmkfdir.  The xfs initscript will overwrite any fonts.scale files when
  it starts up anyway.

* Sat Feb  2 2002 Tim Powers <timp@redhat.com> 1.0.11-9
- change req to require /usr/X11R6/bin/mkfontdir instead of
  XFree86-font-utils

* Sat Feb  2 2002 Tim Powers <timp@redhat.com> 1.0.11-8
- change install requirement from mkfontdir to XFree86-font-utils

* Fri Feb  1 2002 Mike A. Harris <mharris@redhat.com> 1.0.11-7
- Added mkfontdir as a Prereq as it is used in the scripts
- Removed invalid usage of $RPM_BUILD_ROOT from post script

* Thu Jan 31 2002 Paul Gampe <pgampe@redhat.com>
- fix spec file pre/post handling

* Thu Jan 31 2002 David Joo <djoo@redhat.com>
- Rebuilt against RHL 8.0

* Fri Oct 10 2001 David Joo <djoo@redhat.com>
- repakaged font with right character sets (#53798)
- temp file creation protocol has been changed

* Tue Sep  4 2001 Bill Nottingham <notting@redhat.com>
- run chkfontpath *after* making fonts.dir/fonts.alias

* Thu Aug 30 2001 Leon Ho <llch@redhat.com>
- corrected when using for net shared env (#52743)

* Fri Aug 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- Make korean directory to prevent mkfontdir confusing problem.

* Fri Aug 24 2001 Leon Ho <llch@redhat.com>
- Modify baekmuk bdfs to diff name to prevent crashes

* Thu Aug  9 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add baekmuk bitmap font

* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 1.0-4
- added default font for Nautilus.

* Wed Jul  4 2001 Akira TAGOH <tagoh@redhat.com> 1.0-3
- added iso8859-1 entry in fonts.scale.

* Wed Jul  4 2001 Akira TAGOH <tagoh@redhat.com> 1.0-2
- added fonts.scale file.

* Mon Jun 25 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release.

